﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace QwirkleClassLibrary
{
    public class TileBag
    {
        public ReadOnlyCollection<Tile> TilesBag {  get ; private set; }
        private readonly List<Tile> tiles = new List<Tile>();

        public TileBag(int nbSet)
        {
            for (int i = 0; i < nbSet; i++)
            {
                foreach (Shape s in Enum.GetValues(typeof(Shape)))
                {
                    foreach (Color c in Enum.GetValues(typeof(Color)))
                    {
                        Tile t = new Tile(s, c);
                        tiles.Add(t);
                    }
                }
            }
            TilesBag = tiles.AsReadOnly();
        }
        
        public void AddTileInBag(Tile tile)
        {
            tiles.Add(tile);
        }

        public void RemoveTileInBag(Tile tile)
        {
            for (int i = 0; i < tiles.Count; i++)
            {
                if (tiles[i] == tile)
                {
                    tiles.RemoveAt(i);
                }
            }
        }
    }
}